apiVersion: apps/v1
kind: Deployment
metadata:
  name: qotd-load
  namespace: qotd-load
  labels:
    app: qotd
    tier: load
spec:
  replicas: 4
  selector:
    matchLabels:
      app: qotd-load
  template:
    metadata:
      labels:
        app: qotd-load
    spec:
      containers:
        - name: main
          image: registry.gitlab.com/quote-of-the-day/qotd-load-generator/v4.1.0:latest
          imagePullPolicy: Always
          ports:
            - name: http
              containerPort: 3011
              protocol: TCP
          env:
            - name: LOG_LEVEL
              value: "INFO"
            - name: QRCODE
              value: "false"
            - name: QOTD_WEB_HOST
              value: "http://qotd-web-qotd.apps.atsocpd2.dmz/"


